# Class MathSubScript

#### Hierarchy (view full)

- XmlComponent
  - MathSubScript

- Defined in file/paragraph/math/script/sub-script/math-sub-script-function.ts:13

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new MathSubScript(options): MathSubScript

- #### Parameters

  - options: IMathSubScriptOptions

  #### Returns MathSubScript

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/math/script/sub-script/math-sub-script-function.ts:14

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20